# sf::Event Class Reference

Event defines a system event and its parameters. More...

`#include <Event.hpp>`

List of all members.

## Classes

struct | JoyButtonEvent
| Joystick buttons events parameters. More...
struct | JoyMoveEvent
| Joystick axis move event parameters. More...
struct | KeyEvent
| Keyboard event parameters. More...
struct | MouseButtonEvent
| Mouse buttons events parameters. More...
struct | MouseMoveEvent
| Mouse move event parameters. More...
struct | MouseWheelEvent
| Mouse wheel events parameters. More...
struct | SizeEvent
| Size events parameters. More...
struct | TextEvent
| Text event parameters. More...

## Public Types

enum | EventType { Closed, Resized, LostFocus, GainedFocus, TextEntered, KeyPressed, KeyReleased, MouseWheelMoved, MouseButtonPressed, MouseButtonReleased, MouseMoved, MouseEntered, MouseLeft, JoyButtonPressed, JoyButtonReleased, JoyMoved, Count }
| Enumeration of the different types of events. More...

## Public Attributes

EventType | Type
| Type of the event.
union {
KeyEvent Key
TextEvent Text
MouseMoveEvent MouseMove
MouseButtonEvent MouseButton
MouseWheelEvent MouseWheel
JoyMoveEvent JoyMove
JoyButtonEvent JoyButton
SizeEvent Size
}; |

## Detailed Description

Event defines a system event and its parameters.

Definition at line 197 of file Event.hpp.

## Member Enumeration Documentation

enum sf::Event::EventType

Enumeration of the different types of events.

Definition at line 278 of file Event.hpp.

## Member Data Documentation

EventType sf::Event::Type

Type of the event.

Definition at line 303 of file Event.hpp.

The documentation for this class was generated from the following file:

- Event.hpp